Вопрос Что означает «но не установлено»?


Я заметил, что когда я пытаюсь использовать некоторые пакеты, иногда я получаю эту ошибку:

<pkg_name> Depends: <an_other_pkg> (>= version X.X.X) but it is not installable.

Что означает «средний», но он не может быть установлен ». ?


2
2018-06-26 12:02


происхождения




ответы:


<pkg> Depends: <an_other_pkg> (>= version X.X.X) but it is not installable

Этот пакет зависит от другой версии пакета X.X.X, которая не установлена, потому что необходимый пакет больше не доступен в репозиториях. Поэтому он не устанавливается.


2
2018-06-26 12:06



Означает ли это, что все, что мне нужно сделать, это отредактировать /etc/apt/sources.list с соответствующим репозиторием?
Ага. Но более старые версии пакетов не поддерживаются. Вы должны добавить репозиторий или PPA, который содержит необходимую версию. - Avinash Raj